summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRadek Doulik <rodo@src.gnome.org>2002-11-06 16:33:24 +0000
committerRadek Doulik <rodo@src.gnome.org>2002-11-06 16:33:24 +0000
commit21e7fe04052c2b48540f1be0841ea4af32d099fa (patch)
treec387e657504479d12627cfe0c7b4e77a88e15aa1
parent194bd24605add310cd420ac28ec4ef490c4a1071 (diff)
downloadshared-mime-info-21e7fe04052c2b48540f1be0841ea4af32d099fa.tar.gz
reverted unwanted changes which slipped in while I moved gnome-2-port branch
to gtkhtml/HEAD svn path=/trunk/; revision=2645
-rw-r--r--macros/ChangeLog21
-rw-r--r--macros/autogen.sh16
-rw-r--r--macros/gnome-pilot.m424
3 files changed, 41 insertions, 20 deletions
diff --git a/macros/ChangeLog b/macros/ChangeLog
index 02fc9dc4..7c0ed0bb 100644
--- a/macros/ChangeLog
+++ b/macros/ChangeLog
@@ -1,3 +1,24 @@
+2002-09-20 JP Rosevear <jpr@ximian.com>
+
+ * gnome-pilot.m4: fix problem where -lpisync was not linked in if
+ you didn't specify --with-pisock
+
+2002-09-16 JP Rosevear <jpr@ximian.com>
+
+ * gnome-pilot.m4: check for pilot-link 0.11.4 by default
+
+2002-09-08 Havoc Pennington <hp@pobox.com>
+
+ * autogen.sh: hardcode automake-1.4
+
+2002-08-21 JP Rosevear <jpr@ximian.com>
+
+ * gnome-pilot.m4: add -lpisync to PISOCK_LIBS
+
+2002-05-15 JP Rosevear <jpr@ximian.com>
+
+ * gnome-pilot.m4: Fix quoting for AC_MSG_*
+
2002-03-10 Sebastian Rittau <srittau@jroger.in-berlin.de>
* Makefile.am:
diff --git a/macros/autogen.sh b/macros/autogen.sh
index 71f7dfcf..4f57a71a 100644
--- a/macros/autogen.sh
+++ b/macros/autogen.sh
@@ -69,7 +69,7 @@ fi
# }
#}
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+(automake-1.4 --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`automake' installed to compile $PKG_NAME."
echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
@@ -80,7 +80,7 @@ fi
# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+test -n "$NO_AUTOMAKE" || (aclocal-1.4 --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: Missing \`aclocal'. The version of \`automake'"
echo "installed doesn't appear recent enough."
@@ -172,10 +172,10 @@ do
libtoolize --force --copy
fi
fi
- echo "Running aclocal $aclocalinclude ..."
- aclocal $aclocalinclude || {
+ echo "Running aclocal-1.4 $aclocalinclude ..."
+ aclocal-1.4 $aclocalinclude || {
echo
- echo "**Error**: aclocal failed. This may mean that you have not"
+ echo "**Error**: aclocal-1.4 failed. This may mean that you have not"
echo "installed all of the packages you need, or you may need to"
echo "set ACLOCAL_FLAGS to include \"-I \$prefix/share/aclocal\""
echo "for the prefix where you installed the packages whose"
@@ -187,9 +187,9 @@ do
echo "Running autoheader..."
autoheader || { echo "**Error**: autoheader failed."; exit 1; }
fi
- echo "Running automake --gnu $am_opt ..."
- automake --add-missing --gnu $am_opt ||
- { echo "**Error**: automake failed."; exit 1; }
+ echo "Running automake-1.4 --gnu $am_opt ..."
+ automake-1.4 --add-missing --gnu $am_opt ||
+ { echo "**Error**: automake-1.4 failed."; exit 1; }
echo "Running autoconf ..."
autoconf || { echo "**Error**: autoconf failed."; exit 1; }
) || exit 1
diff --git a/macros/gnome-pilot.m4 b/macros/gnome-pilot.m4
index d8ce9606..59f59b73 100644
--- a/macros/gnome-pilot.m4
+++ b/macros/gnome-pilot.m4
@@ -25,12 +25,12 @@ AC_DEFUN([PILOT_LINK_HOOK],[
else
PISOCK_CFLAGS="-I$withval/include"
incdir="$withval/include"
- PISOCK_LIBS="-L$withval/lib -lpisock"
+ PISOCK_LIBS="-L$withval/lib -lpisock -lpisync"
AC_MSG_CHECKING("for existance of $withval/lib/libpisock.so")
if test -r $withval/lib/libpisock.so; then
- AC_MSG_RESULT("yes")
+ AC_MSG_RESULT(yes)
else
- AC_MSG_ERROR("Unable to find libpisock. Try ftp://ryeham.ee.ryerson.ca/pub/PalmOS/.")
+ AC_MSG_ERROR([Unable to find libpisock. Try http://www.pilot-link.org.])
fi
fi
])
@@ -45,16 +45,16 @@ AC_DEFUN([PILOT_LINK_HOOK],[
piversion_include="$prefix/include/pi-version.h"
if test x$PISOCK_LIBDIR = x; then
incdir="$prefix/include"
- PISOCK_LIBS="-L$prefix/lib -lpisock"
+ PISOCK_LIBS="-L$prefix/lib -lpisock -lpisync"
fi ],
- AC_MSG_ERROR("Unable to find pi-version.h"))
+ AC_MSG_ERROR([Unable to find pi-version.h]))
])
])
fi
if test "x$PISOCK_LIBS" = "x"; then
- AC_CHECK_LIB(pisock, pi_accept, [ PISOCK_LIBS=-lpisock ],
- [ AC_MSG_ERROR("Unable to find libpisock. Try ftp://ryeham.ee.ryerson.ca/pub/PalmOS/.") ])
+ AC_CHECK_LIB(pisock, pi_accept, [ PISOCK_LIBS=-lpisock -lpisync],
+ [ AC_MSG_ERROR([Unable to find libpisock. Try http://www.pilot-link.org.]) ])
fi
AC_ARG_ENABLE(pilotlinktest,
@@ -75,7 +75,7 @@ AC_DEFUN([PILOT_LINK_HOOK],[
PILOT_LINK_VERSION="$pi_version.$pi_major.$pi_minor$pi_patch"
if test x$testplversion = xyes; then
- AC_MSG_CHECKING(for pilot-link version >= $1)
+ AC_MSG_CHECKING([for pilot-link version >= $1])
pl_ve=`echo $1|sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
pl_ma=`echo $1|sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
pl_mi=`echo $1|sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
@@ -99,9 +99,9 @@ AC_DEFUN([PILOT_LINK_HOOK],[
return 1;
}
],
- [AC_MSG_RESULT(yes (found $PILOT_LINK_VERSION))],
- [AC_MSG_ERROR("pilot-link >= $1 required")],
- [AC_MSG_WARN("No action taken for crosscompile")]
+ [AC_MSG_RESULT([yes (found $PILOT_LINK_VERSION)])],
+ [AC_MSG_ERROR([pilot-link >= $1 required])],
+ [AC_MSG_WARN([No action taken for crosscompile])]
)
CFLAGS="$CFLAGS_save"
fi
@@ -198,7 +198,7 @@ AC_DEFUN([GNOME_PILOT_CHECK],[
gpv=$1
fi
if test x$2 = x; then
- plv=0.9.5
+ plv=0.11.4
else
plv=$2
fi